Failure after update to 14

fwconsole ma upgrade endpoint sipsettings
fwconsole ma delete sng_mcu

fwconsole ma upgrade endpoint sipsettings

No repos specified, using: [standard,extended,commercial] from last GUI settings

endpoint is the same as the online version, unable to upgrade
sipsettings is the same as the online version, unable to upgrade

fwconsole ma listonline

fwconsole ma listonline

No repos specified, using: [standard,extended,commercial] from last GUI settings

Where is the rest of the output from that?

Sorry. There was a long delay after that. I thought it was done.

±---------------------±-----------±-------------------------------------------±-----------+
| Module | Version | Status | License |
±---------------------±-----------±-------------------------------------------±-----------+
| accountcodepreserve | 13.0.2 | Enabled and up to date | GPLv2 |
| announcement | 13.0.7.1 | Enabled and up to date | GPLv3+ |
| areminder | 14.0.1.3 | Enabled and up to date | Commercial |
| arimanager | 13.0.4 | Enabled and up to date | GPLv3+ |
| asterisk-cli | 14.0.1 | Enabled and up to date | GPLv3+ |
| asteriskinfo | | Not Installed (Available online: 13.0.7.1) | GPLv3+ |
| backup | 14.0.3.12 | Enabled and up to date | GPLv3+ |
| blacklist | 13.0.14.8 | Enabled and up to date | GPLv3+ |
| broadcast | 14.0.1.6 | Enabled and up to date | Commercial |
| builtin | | Enabled; Not available online | |
| bulkdids | 13.0.2 | Enabled; Not available online | GPLv3+ |
| bulkextensions | 13.0.3 | Enabled; Not available online | GPLv3+ |
| bulkhandler | 13.0.14.4 | Enabled and up to date | GPLv3+ |
| calendar | 14.0.1.2 | Enabled and up to date | GPLv3+ |
| callback | 13.0.5.2 | Enabled and up to date | GPLv3+ |
| callerid | 13.0.8.7 | Enabled and up to date | Commercial |
| callforward | 14.0.1.2 | Enabled and up to date | AGPLv3+ |
| calllimit | 13.0.5.5 | Enabled and up to date | Commercial |
| callrecording | 13.0.11.5 | Enabled and up to date | AGPLv3+ |
| callwaiting | 14.0.1.1 | Enabled and up to date | GPLv3+ |
| campon | 13.0.4.1 | Enabled and up to date | GPLv3+ |
| cdr | 14.0.5.9 | Enabled and up to date | GPLv3+ |
| cel | 14.0.2.2 | Enabled and up to date | GPLv3+ |
| certman | 13.0.36.11 | Enabled and up to date | AGPLv3+ |
| cidlookup | 14.0.1.4 | Enabled and up to date | GPLv3+ |
| conferences | 13.0.23.8 | Enabled and up to date | GPLv3+ |
| conferencespro | 14.0.2.3 | Enabled and up to date | Commercial |
| configedit | 13.0.7.1 | Enabled and up to date | AGPLv3+ |
| contactmanager | 14.0.3.2 | Enabled and up to date | GPLv3+ |
| core | 14.0.4 | Enabled and up to date | GPLv3+ |
| cos | 13.0.11.9 | Enabled and up to date | Commercial |
| customappsreg | 13.0.5.4 | Enabled and up to date | GPLv3+ |
| cxpanel | 13.0.5.1 | Enabled and up to date | GPLv3 |
| dahdiconfig | 14.0.1.1 | Enabled and up to date | GPLv3+ |
| dashboard | 14.0.3.1 | Enabled and up to date | AGPLv3+ |
| daynight | 14.0.1 | Enabled and up to date | GPLv3+ |
| dictate | 13.0.5 | Enabled and up to date | GPLv3+ |
| digium_phones | 13.0.7.3 | Enabled and up to date | GPLv2 |
| digiumaddoninstaller | 2.11.0.12 | Enabled; Not available online | GPLv2 |
| directory | 13.0.19.5 | Enabled and up to date | GPLv3+ |
| disa | 13.0.6.1 | Enabled and up to date | AGPLv3+ |
| donotdisturb | 14.0.1.1 | Enabled and up to date | GPLv3+ |
| endpoint | 13.0.113 | Disabled; Pending upgrade to 14.0.2.12 | Commercial |
| extensionroutes | 13.0.10.5 | Enabled and up to date | Commercial |
| fax | 14.0.2.2 | Enabled and up to date | GPLv3+ |
| faxpro | 14.0.1.5 | Enabled and up to date | Commercial |
| featurecodeadmin | 13.0.6.4 | Enabled and up to date | GPLv3+ |
| findmefollow | 14.0.1.16 | Enabled and up to date | GPLv3+ |
| firewall | 13.0.48 | Enabled and up to date | AGPLv3+ |
| framework | 14.0.1.31 | Enabled and up to date | GPLv2+ |
| freepbx_ha | 13.0.11 | Enabled and up to date | Commercial |
| fw_langpacks | 14.0.1 | Enabled and up to date | GPLv3+ |
| hotelwakeup | 14.0.1.4 | Enabled and up to date | GPLv2 |
| iaxsettings | 14.0.1.2 | Enabled and up to date | AGPLv3 |
| infoservices | 13.0.1.2 | Enabled and up to date | GPLv2+ |
| irc | 2.11.0.7 | Enabled and up to date | GPLv3+ |
| ivr | 13.0.27.6 | Enabled and up to date | GPLv3+ |
| languages | 13.0.6 | Enabled and up to date | GPLv3+ |
| logfiles | 13.0.10.4 | Enabled and up to date | GPLv3+ |
| manager | 13.0.2.5 | Enabled and up to date | GPLv2+ |
| miscapps | 13.0.3.1 | Enabled and up to date | GPLv3+ |
| miscdests | 13.0.5 | Enabled and up to date | GPLv3+ |
| music | 13.0.22.3 | Enabled and up to date | GPLv3+ |
| outroutemsg | 13.0.2.1 | Enabled and up to date | GPLv3+ |
| paging | 13.0.26.3 | Enabled and up to date | GPLv3+ |
| pagingpro | 14.0.2.8 | Enabled and up to date | Commercial |
| parking | 13.0.19.7 | Enabled and up to date | GPLv3+ |
| parkpro | 13.0.30.12 | Enabled and up to date | Commercial |
| pbdirectory | 2.11.0.6 | Enabled and up to date | GPLv3+ |
| phonebook | 13.0.5.8 | Enabled and up to date | GPLv3+ |
| phpinfo | 13.0.2 | Enabled and up to date | GPLv2+ |
| pinsets | 13.0.8 | Enabled and up to date | GPLv3+ |
| pinsetspro | 13.0.9.3 | Enabled and up to date | Commercial |
| pm2 | 13.0.4.2 | Enabled and up to date | AGPLv3+ |
| pms | 14.0.2.3 | Enabled and up to date | Commercial |
| presencestate | 14.0.1.5 | Enabled and up to date | GPLv3+ |
| printextensions | 13.0.3.1 | Enabled and up to date | GPLv3+ |
| queueprio | 13.0.2 | Enabled and up to date | GPLv3+ |
| queues | 14.0.2.11 | Enabled and up to date | GPLv2+ |
| qxact_reports | 13.0.15.6 | Enabled and up to date | Commercial |
| recording_report | 14.0.1.2 | Enabled and up to date | Commercial |
| recordings | 13.0.30.12 | Enabled and up to date | GPLv3+ |
| restapi | 13.0.21.1 | Enabled and up to date | AGPLv3 |
| restapps | 13.0.88.12 | Enabled and up to date | Commercial |
| ringgroups | 14.0.1.4 | Enabled and up to date | GPLv3+ |
| sangomacrm | 13.0.4.14 | Enabled and up to date | Commercial |
| setcid | 13.0.6.2 | Enabled and up to date | GPLv3+ |
| sipsettings | 13.0.26.1 | Disabled; Pending upgrade to 14.0.26.1 | AGPLv3+ |
| sipstation | 13.0.13.25 | Enabled and up to date | Commercial |
| sms | 14.0.4.2 | Enabled and up to date | Commercial |
| soundlang | 14.0.4.2 | Enabled and up to date | GPLv3+ |
| speeddial | 2.11.0.4 | Enabled and up to date | GPLv3+ |
| superfecta | 14.0.4 | Enabled and up to date | GPLv2+ |
| sysadmin | 14.0.8.4 | Enabled and up to date | Commercial |
| timeconditions | 14.0.2.9 | Enabled and up to date | GPLv3+ |
| tts | 13.0.10 | Enabled and up to date | GPLv3+ |
| ttsengines | 13.0.7.3 | Enabled and up to date | AGPLv3 |
| ucp | 14.0.2.1 | Enabled and up to date | AGPLv3+ |
| userman | 14.0.3.34 | Enabled and up to date | AGPLv3+ |
| vmblast | 13.0.8 | Enabled and up to date | GPLv3+ |
| vmnotify | 13.0.19 | Enabled and up to date | Commercial |
| voicemail | 14.0.1.15 | Enabled and up to date | GPLv3+ |
| voicemail_report | 13.0.13.3 | Enabled and up to date | Commercial |
| vqplus | 13.0.31 | Enabled and up to date | Commercial |
| weakpasswords | 13.0.2 | Enabled and up to date | GPLv3+ |
| webcallback | 13.0.11.2 | Enabled and up to date | Commercial |
| webrtc | 14.0.3.7 | Enabled and up to date | GPLv3+ |
| xmpp | 14.0.1.8 | Enabled and up to date | AGPLv3 |
| zulu | 14.0.2.13 | Enabled and up to date | Commercial |

fwconsole ma install endpoint sipsettings

fwconsole ma install endpoint sipsettings

Detected Missing Dependency of: sipsettings 12.0.13
Found local Dependency of: sipsettings 14.0.26.1
Detected Missing Dependency of: core 14.0.5
Downloading Missing Dependency of: core 14.0.5
Processing core
Verifying local module download…Verified
Extracting…Done
Module core successfully downloaded
Installing Missing Dependency of: core 14.0.5
Updating table trunks…Done
Updating table pjsip…Done
Updating table sip…Done
Updating table dahdi…Done
Updating table iax…Done
Updating table indications_zonelist…Done
Updating table devices…Done
Updating table users…Done
Updating table incoming…Done
Updating table outbound_routes…Done
Updating table dahdichandids…Done
Updating table outbound_route_patterns…Done
Updating table outbound_route_sequence…Done
Updating table outbound_route_trunks…Done
Updating table outbound_routes…Done
Updating table trunk_dialpatterns…Done
Migrating pickup groups to named pickup groups
Migrating call groups to named call groups
Checking for possibly invalid emergency caller id fields…none found
Migrating old media encryption values…done
Generating CSS…Done
Installed Missing Dependency of: core 14.0.5
Installing Missing Dependency of: sipsettings 12.0.13
The following error(s) occured:

  • Core module version 14.0.5 or higher is required, you have 14.0.4
    Unable to resolve dependencies for module endpoint:
    Detected Missing Dependency of: core 14.0.5
    Downloading Missing Dependency of: core 14.0.5
    Processing core
    Verifying local module download…Verified
    Extracting…Done
    Module core successfully downloaded
    Installing Missing Dependency of: core 14.0.5
    Updating table trunks…Done
    Updating table pjsip…Done
    Updating table sip…Done
    Updating table dahdi…Done
    Updating table iax…Done
    Updating table indications_zonelist…Done
    Updating table devices…Done
    Updating table users…Done
    Updating table incoming…Done
    Updating table outbound_routes…Done
    Updating table dahdichandids…Done
    Updating table outbound_route_patterns…Done
    Updating table outbound_route_sequence…Done
    Updating table outbound_route_trunks…Done
    Updating table outbound_routes…Done
    Updating table trunk_dialpatterns…Done
    Generating CSS…Done
    Installed Missing Dependency of: core 14.0.5
    Unable to install module sipsettings:
  • Core module version 14.0.5 or higher is required, you have 14.0.4
    Updating Hooks…Done

Please run the commands again

fwconsole ma list - everything is now enabled
fwconsole ma listonline
asteriskinfo | | Not Installed (Available online: 13.0.7.1) | GPLv3+
builtin | | Enabled; Not available online | |
| bulkdids | 13.0.2 | Enabled; Not available online | GPLv3+ |
| bulkextensions | 13.0.3 | Enabled; Not available online | GPLv3+
digiumaddoninstaller | 2.11.0.12 | Enabled; Not available online | GPLv2

Ok. So now you can reload:

fwconsole reload

Andrew… you are the CHAMP!

Restapps Daemon isn’t running but in my case, I don’t think I’m using it? And everything else looks good.

you can probably start it through

fwconsole stop restapps
fwconsole start restapps

1 Like

Yes. That worked too. I’m so glad you were here tonight. Thank you!

how do I update to 14.0.1.24 ?

What version is that?

I’ve discovered another problem from the update. Should I open a new thread or continue this one with it? None of my Sangoma VPN phones will connect following the update. They show “VPN Activated” on the phones themselves but Extension Mapping doesn’t show them with an IP address. The responsive Firewall shows no registered clients.

Go to sysadmin and stop the vpn service then restart it

1 Like

VPN Server - disabled, then enabled. Done. YES! That did it!!! You rock—again!

1 Like

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.